"use strict";
function snapshot(obj) {
    if (obj == null || typeof obj !== 'object') {
        return obj;
    }
    var temp = {};
    for (var _i = 0, _a = Object.keys(obj); _i < _a.length; _i++) {
        var key = _a[_i];
        temp[key] = snapshot(obj[key]);
    }
    return temp;
}
exports.snapshot = snapshot;
function getReflectType(target, key) {
    if (typeof Reflect === "object" && typeof Reflect.getMetadata === "function") {
        return Reflect.getMetadata('design:type', target, key);
    }
    return null;
}
exports.getReflectType = getReflectType;
function createMap() {
    var ret = Object.create(null);
    ret["__"] = undefined;
    delete ret["__"];
    return ret;
}
exports.createMap = createMap;
