import Vue = require('vue');
export declare type WatchHandler<C, T> = (this: C, newVal?: any, oldVal?: any) => void;
export interface WatchOption<C, T> {
    deep?: boolean;
    immediate?: boolean;
    handler?: WatchHandler<C, T>;
}
export declare type VuePropDecorator = (target: Vue, key: string) => void;
export declare function Watch<C extends Vue, T>(func: WatchHandler<C, T>, option?: WatchOption<C, T>): VuePropDecorator;
